rubygems-2.0.14.1-34.el7_6.noarch.rpm


Advertisement

Description

rubygems - The Ruby standard for packaging ruby libraries

Property Value
Distribution CentOS 7
Repository CentOS Updates x86_64
Package filename rubygems-2.0.14.1-34.el7_6.noarch.rpm
Package name rubygems
Package version 2.0.14.1
Package release 34.el7_6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://ruby-lang.org/
License Ruby or MIT
Maintainer -
Download size 219.30 KB
Installed size 591.88 KB
RubyGems is the Ruby standard for publishing and managing third party
libraries.

Alternatives

Package Version Architecture Repository
rubygems-2.0.14.1-33.el7_4.noarch.rpm 2.0.14.1 noarch CentOS
rubygems - - -

Requires

Name Value
/usr/bin/ruby -
ca-certificates -
ruby(release) -
rubygem(io-console) >= 0.4.2
rubygem(psych) >= 2.0.0
rubygem(rdoc) >= 4.0.0

Provides

Name Value
gem = 2.0.14.1-34.el7_6
ruby(rubygems) = 2.0.14.1-34.el7_6
rubygems = 2.0.14.1-34.el7_6

Download

Type URL
Mirror mirror.centos.org
Binary Package rubygems-2.0.14.1-34.el7_6.noarch.rpm
Source Package ruby-2.0.0.648-34.el7_6.src.rpm

Install Howto

Install rubygems rpm package:

# yum install rubygems

Files

Path
/usr/bin/gem
/usr/lib/gems/
/usr/lib/gems/ruby/
/usr/lib64/gems/
/usr/lib64/gems/ruby/
/usr/share/gems/
/usr/share/gems/build_info/
/usr/share/gems/cache/
/usr/share/gems/doc/
/usr/share/gems/gems/
/usr/share/gems/specifications/
/usr/share/gems/specifications/default/
/usr/share/rubygems/rubygems.rb
/usr/share/rubygems/ubygems.rb
/usr/share/rubygems/rbconfig/datadir.rb
/usr/share/rubygems/rubygems/LICENSE.txt
/usr/share/rubygems/rubygems/available_set.rb
/usr/share/rubygems/rubygems/command.rb
/usr/share/rubygems/rubygems/command_manager.rb
/usr/share/rubygems/rubygems/compatibility.rb
/usr/share/rubygems/rubygems/config_file.rb
/usr/share/rubygems/rubygems/defaults.rb
/usr/share/rubygems/rubygems/dependency.rb
/usr/share/rubygems/rubygems/dependency_installer.rb
/usr/share/rubygems/rubygems/dependency_list.rb
/usr/share/rubygems/rubygems/dependency_resolver.rb
/usr/share/rubygems/rubygems/deprecate.rb
/usr/share/rubygems/rubygems/doctor.rb
/usr/share/rubygems/rubygems/errors.rb
/usr/share/rubygems/rubygems/exceptions.rb
/usr/share/rubygems/rubygems/ext.rb
/usr/share/rubygems/rubygems/gem_runner.rb
/usr/share/rubygems/rubygems/gemcutter_utilities.rb
/usr/share/rubygems/rubygems/indexer.rb
/usr/share/rubygems/rubygems/install_message.rb
/usr/share/rubygems/rubygems/install_update_options.rb
/usr/share/rubygems/rubygems/installer.rb
/usr/share/rubygems/rubygems/installer_test_case.rb
/usr/share/rubygems/rubygems/local_remote_options.rb
/usr/share/rubygems/rubygems/mock_gem_ui.rb
/usr/share/rubygems/rubygems/name_tuple.rb
/usr/share/rubygems/rubygems/package.rb
/usr/share/rubygems/rubygems/package_task.rb
/usr/share/rubygems/rubygems/path_support.rb
/usr/share/rubygems/rubygems/platform.rb
/usr/share/rubygems/rubygems/psych_additions.rb
/usr/share/rubygems/rubygems/psych_tree.rb
/usr/share/rubygems/rubygems/rdoc.rb
/usr/share/rubygems/rubygems/remote_fetcher.rb
/usr/share/rubygems/rubygems/request_set.rb
/usr/share/rubygems/rubygems/requirement.rb
/usr/share/rubygems/rubygems/safe_yaml.rb
/usr/share/rubygems/rubygems/security.rb
/usr/share/rubygems/rubygems/server.rb
/usr/share/rubygems/rubygems/source.rb
/usr/share/rubygems/rubygems/source_list.rb
/usr/share/rubygems/rubygems/source_local.rb
/usr/share/rubygems/rubygems/source_specific_file.rb
/usr/share/rubygems/rubygems/spec_fetcher.rb
/usr/share/rubygems/rubygems/specification.rb
/usr/share/rubygems/rubygems/syck_hack.rb
/usr/share/rubygems/rubygems/test_case.rb
/usr/share/rubygems/rubygems/test_utilities.rb
/usr/share/rubygems/rubygems/text.rb
/usr/share/rubygems/rubygems/uninstaller.rb
/usr/share/rubygems/rubygems/user_interaction.rb
/usr/share/rubygems/rubygems/validator.rb
/usr/share/rubygems/rubygems/version.rb
/usr/share/rubygems/rubygems/version_option.rb
/usr/share/rubygems/rubygems/commands/build_command.rb
/usr/share/rubygems/rubygems/commands/cert_command.rb
/usr/share/rubygems/rubygems/commands/check_command.rb
/usr/share/rubygems/rubygems/commands/cleanup_command.rb
/usr/share/rubygems/rubygems/commands/contents_command.rb
/usr/share/rubygems/rubygems/commands/dependency_command.rb
/usr/share/rubygems/rubygems/commands/environment_command.rb
/usr/share/rubygems/rubygems/commands/fetch_command.rb
/usr/share/rubygems/rubygems/commands/generate_index_command.rb
/usr/share/rubygems/rubygems/commands/help_command.rb
/usr/share/rubygems/rubygems/commands/install_command.rb
/usr/share/rubygems/rubygems/commands/list_command.rb
/usr/share/rubygems/rubygems/commands/lock_command.rb
/usr/share/rubygems/rubygems/commands/mirror_command.rb
/usr/share/rubygems/rubygems/commands/outdated_command.rb
/usr/share/rubygems/rubygems/commands/owner_command.rb
/usr/share/rubygems/rubygems/commands/pristine_command.rb
/usr/share/rubygems/rubygems/commands/push_command.rb
/usr/share/rubygems/rubygems/commands/query_command.rb
/usr/share/rubygems/rubygems/commands/rdoc_command.rb
/usr/share/rubygems/rubygems/commands/search_command.rb
/usr/share/rubygems/rubygems/commands/server_command.rb
/usr/share/rubygems/rubygems/commands/setup_command.rb
/usr/share/rubygems/rubygems/commands/sources_command.rb
/usr/share/rubygems/rubygems/commands/specification_command.rb
/usr/share/rubygems/rubygems/commands/stale_command.rb
/usr/share/rubygems/rubygems/commands/uninstall_command.rb
/usr/share/rubygems/rubygems/commands/unpack_command.rb
/usr/share/rubygems/rubygems/commands/update_command.rb
/usr/share/rubygems/rubygems/commands/which_command.rb
/usr/share/rubygems/rubygems/commands/yank_command.rb
/usr/share/rubygems/rubygems/core_ext/kernel_gem.rb
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb
/usr/share/rubygems/rubygems/defaults/operating_system.rb
/usr/share/rubygems/rubygems/ext/builder.rb
/usr/share/rubygems/rubygems/ext/cmake_builder.rb
/usr/share/rubygems/rubygems/ext/configure_builder.rb
/usr/share/rubygems/rubygems/ext/ext_conf_builder.rb
/usr/share/rubygems/rubygems/ext/rake_builder.rb
/usr/share/rubygems/rubygems/package/digest_io.rb
/usr/share/rubygems/rubygems/package/old.rb
/usr/share/rubygems/rubygems/package/tar_header.rb
/usr/share/rubygems/rubygems/package/tar_reader.rb
/usr/share/rubygems/rubygems/package/tar_test_case.rb
/usr/share/rubygems/rubygems/package/tar_writer.rb
/usr/share/rubygems/rubygems/package/tar_reader/entry.rb
/usr/share/rubygems/rubygems/security/policies.rb
/usr/share/rubygems/rubygems/security/policy.rb
/usr/share/rubygems/rubygems/security/signer.rb
/usr/share/rubygems/rubygems/security/trust_dir.rb
/usr/share/rubygems/rubygems/ssl_certs/AddTrustExternalCARoot-2048.pem
/usr/share/rubygems/rubygems/ssl_certs/AddTrustExternalCARoot.pem
/usr/share/rubygems/rubygems/ssl_certs/Class3PublicPrimaryCertificationAuthority.pem
/usr/share/rubygems/rubygems/ssl_certs/DigiCertHighAssuranceEVRootCA.pem
/usr/share/rubygems/rubygems/ssl_certs/EntrustnetSecureServerCertificationAuthority.pem
/usr/share/rubygems/rubygems/ssl_certs/GeoTrustGlobalCA.pem
/usr/share/rubygems/rubygems/ssl_certs/ca-bundle.pem

Changelog

2018-11-01 - Jun Aruga <jaruga@redhat.com> - 2.0.0.648-34
- CVE-2018-16395: Fix OpenSSL::X509::Name equality check does not work.
Resolves: CVE-2018-16395
2018-02-19 - Vít Ondruch <vondruch@redhat.com> - 2.0.0.648-33
- Fix always passing WEBrick test.
2018-02-16 - Vít Ondruch <vondruch@redhat.com> - 2.0.0.648-32
- Add Psych.safe_load
* ruby-2.1.0-there-should-be-only-one-exception.patch
* ruby-2.1.0-Adding-Psych.safe_load.patch
Related: CVE-2017-0903
- Disable Tokyo TZ tests broken by recen tzdata update.
* ruby-2.5.0-Disable-Tokyo-TZ-tests.patch
Related: CVE-2017-0903
2018-01-15 - Vít Ondruch <vondruch@redhat.com> - 2.0.0.648-31
- Fix unsafe object deserialization in RubyGems (CVE-2017-0903).
* ruby-2.4.3-CVE-2017-0903-Fix-unsafe-object-deserialization
-vulnerability.patch
Resolves: CVE-2017-0903
- Fix an ANSI escape sequence vulnerability (CVE-2017-0899).
Resolves: CVE-2017-0899
- Fix a DOS vulernerability in the query command (CVE-2017-0900).
Resolves: CVE-2017-0900
- Fix a vulnerability in the gem installer that allowed a malicious gem
to overwrite arbitrary files (CVE-2017-0901).
Resolves: CVE-2017-0901
- Fix a DNS request hijacking vulnerability (CVE-2017-0902).
* ruby-2.2.8-lib-rubygems-fix-several-vulnerabilities-in-RubyGems.patch
Resolves: CVE-2017-0902
- Fix buffer underrun vulnerability in Kernel.sprintf (CVE-2017-0898).
* ruby-2.2.8-Buffer-underrun-vulnerability-in-Kernel.sprintf.patch
Resolves: CVE-2017-0898
- Escape sequence injection vulnerability in the Basic
authentication of WEBrick (CVE-2017-10784).
* ruby-2.2.8-sanitize-any-type-of-logs.patch
Resolves: CVE-2017-10784
- Arbitrary heap exposure during a JSON.generate call (CVE-2017-14064).
* ruby-2.2.8-Fix-arbitrary-heap-exposure-during-a-JSON.generate-call.patch
Resolves: CVE-2017-14064
- Command injection vulnerability in Net::FTP (CVE-2017-17405).
* ruby-2.2.9-Fix-a-command-injection-vulnerability-in-Net-FTP.patch
Resolves: CVE-2017-17405
- Buffer underrun in OpenSSL ASN1 decode (CVE-2017-14033).
* ruby-2.2.8-asn1-fix-out-of-bounds-read-in-decoding-constructed-objects.patch
Resolves: CVE-2017-14033
- Command injection in lib/resolv.rb:lazy_initialize() allows arbitrary code
execution(CVE-2017-17790).
* ruby-2.5.0-Fixed-command-Injection.patch
Resolves: CVE-2017-17790
2017-03-01 - Vít Ondruch <vondruch@redhat.com> - 2.0.0.648-30
- Fix test_npn_protocol_selection_ary and test_npn_protocol_selection_enum
failures with newest openssl.
Resolves: rhbz#1416123
- Add gemspec_add_dep and gemspec_remove_dep macros.
- Extend 'gem_' macros for pre-release version support.
Resolves: rhbz#1397390
- Make symlinks for json gem.
Resolves: rhbz#1308992
2016-06-08 - Pavel Valena <pvalena@redhat.com> - 2.0.0.648-29
- Fix hostname size limit
Resolves: rhbz#1343945
2016-06-06 - Pavel Valena <pvalena@redhat.com> - 2.0.0.648-28
- Fix missing declaration of 'rb_frame_last_func'
Related: rhbz#1197720
2016-06-03 - Pavel Valena <pvalena@redhat.com> - 2.0.0.648-27
- Apply previously unapplied patch #14
Related: rhbz#1197720
2016-05-09 - Pavel Valena <pvalena@redhat.com> - 2.0.0.648-26
- Rebase to Ruby 2.0.0-p648
Resolves: rhbz#1197720, rhbz#1298282, rhbz#1258863
* Remove Patch18: ruby-2.0.0-p247-Revert-mkmf.rb-prefix-install_dirs-only-
with-DESTDIR.patch; subsumed
* Remove Patch23: ruby-openssl-wrap-cipher-fix.patch; subsumed
* Remove Patch25: ruby-2.0.0-p607-DNS-Resolv-fall-back-if-canonicalization-
fails.patch; subsumed
- Remove tests depending on europe/moscow to avoid failures due to tzdata change
https://github.com/eggert/tz/commit/8ee11a301cf173afb0c76e0315b9f9ec8ebb9d95
- Add checks for systemtap, abrt hook and rubygems version
- Fix significant hash table performance slowdown on ppc64le
Resolves: rhbz#1163032
- Support in no_proxy for domain names with whitespaces and leading dots
Resolves: rhbz#1300433
2015-04-27 - Vít Ondruch <vondruch@redhat.com> - 2.0.0.598-25
- Fix broken DNS Resolv when resolv.conf has option ndots > 1.
Resolves: rhbz#1200419

See Also

Package Description
rubygems-devel-2.0.14.1-34.el7_6.noarch.rpm Macros and development tools for packaging RubyGems
sbd-1.3.1-8.2.el7_6.1.x86_64.rpm Storage-based death
selinux-policy-3.13.1-229.el7_6.5.noarch.rpm SELinux policy configuration
selinux-policy-3.13.1-229.el7_6.6.noarch.rpm SELinux policy configuration
selinux-policy-3.13.1-229.el7_6.9.noarch.rpm SELinux policy configuration
selinux-policy-devel-3.13.1-229.el7_6.5.noarch.rpm SELinux policy devel
selinux-policy-devel-3.13.1-229.el7_6.6.noarch.rpm SELinux policy devel
selinux-policy-devel-3.13.1-229.el7_6.9.noarch.rpm SELinux policy devel
selinux-policy-doc-3.13.1-229.el7_6.5.noarch.rpm SELinux policy documentation
selinux-policy-doc-3.13.1-229.el7_6.6.noarch.rpm SELinux policy documentation
selinux-policy-doc-3.13.1-229.el7_6.9.noarch.rpm SELinux policy documentation
selinux-policy-minimum-3.13.1-229.el7_6.5.noarch.rpm SELinux minimum base policy
selinux-policy-minimum-3.13.1-229.el7_6.6.noarch.rpm SELinux minimum base policy
selinux-policy-minimum-3.13.1-229.el7_6.9.noarch.rpm SELinux minimum base policy
selinux-policy-mls-3.13.1-229.el7_6.5.noarch.rpm SELinux mls base policy
Advertisement
Advertisement